#8003 Update bdist_wheel tag from universal to explicit tag
Opened 2 months ago by cheimes. Modified 2 months ago

All our setup.cfg look like this:

[bdist_wheel]
universal = 1

The universal does no longer make sense for 4.8 and master branch. This creates wheels with tag py2.py3. However 4.8 is Python 3 only and the tag should reflect the fact. We should either use py3 or py36 as compatibility tag:

[bdist_wheel]
python-tag = py36

It's not a big deal, we also have python_requires=">=3.6.0" in all wheels.


Login to comment on this ticket.

Metadata